<?php

class i18n 
{
    private static $translation = array (
        'menu.online' => array (
            'uk' => 'Онлайн'
            // , 'ru' => 'Онлайн'
        ),
        'channels.favorites' => array (
            'uk' => 'Вибрані сюжети'
            // , 'ru' => 'Избранные сюжеты'
        ),
        'btn.delete' => array (
            'uk' => 'Видалити'
        ),
        'btn.addFavorites' => array (
            'uk' => 'В обране'
        ),
        'btn.favoritesAlreadyExists' => array (
            'uk' => 'Сюжет вже є в обраному'
        ),
        'btn.addFavoritesSuccess' => array (
            'uk' => 'Сюжет доданий в обране'
        ),
        'btn.deleteFavorites' => array (
            'uk' => 'Сюжет видалено з обраного'
        ),
        'newsView.pubDate' => array (
            'uk' => 'Опубліковано:'
        ),
        'newsView.online' => array (
            'uk' => 'Онлайн'
        ),
        'newsView.description' => array (
            'uk' => 'Опис:'
        ),
        'groups.online' => array (
            'uk' => 'Онлайн'
        ),
        'groups.categories' => array (
            'uk' => 'Категорії'
        ),
        'channels.tv24' => array (
            'uk' => 'Прямий ефір - Телеканал новин 24'
        )
    );

    // Ukrainian is default and only for now
    public static function getText($token, $lang = 'uk') {
        if (   empty($lang)
            || !array_key_exists($token, self::$translation)
            || !array_key_exists($lang, self::$translation[$token])
        ) {
            return $token;
        } else {
            return self::$translation[$token][$lang];
        }
    }

}
?>
